Quassel IRC - Bug #347

Option to display private messages and queries in current buffer is not honored
10/12/2008 09:54 AM - hagabaka

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

| have checked these configuration options in Behavior - General:
Display User-related messages and private notices:

[x] in status buffer

[x] in query buffer (if exists)

[x] in current buffer
However, Quassel displays private messages and notices only in query buffers, not in the status or current buffer. Also, even if |
uncheck "in query buffer (if exists)", Quassel still displays them in query buffers, and opening new query buffers when they don't
exist.
| restarted Quassel after changing these options.

Additional information:

Quassel version v0.3.0 (dist-2f0ccOc, 2008-08-27)
Built: Sep 9 2008 14:09:23

| installed Quassel using the quassel package for Ubuntu in hardy-backports; the package version is 0.3.0-Oubuntu4~hardy1.

History

#1 - 10/31/2008 04:37 PM - EgS

since the introduction of the messagemodel/messagefilter concept redirection of messages doesn't work anymore.

This functionality needs to be reimplemented in the messagefilters.

#2 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#3 - 01/13/2009 08:29 PM - EgS

- Status changed from New to Resolved
- Assignee set to EgS

- Target version set to 0.4.0

- % Done changed from 0 to 100

- Version setto 0.3.1+

Those Settings have been reworked quite a while ago and are working again since then:

http://git.quassel-irc.org/?p=quassel.git;a=commit;h=af456476e906a564d9faf3381b8bc3111fdb2bbd
